Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class CxfConstants

    java.lang.Object
      org.mule.transport.cxf.CxfConstants

    public class CxfConstants

extends Object

Field Summary
`static String` | `APPLY_FILTERS_TO_PROTOCOL`
`static String` | `APPLY_SECURITY_TO_PROTOCOL`
`static String` | `APPLY_TRANSFORMERS_TO_PROTOCOL`
`static String` | `ATTACHMENTS`
`static String` | `BINDING_ID`
`static String` | `CLIENT_CLASS`
`static String` | `CLIENT_PORT`
`static String` | `DATA_BINDING`
`static String` | `ENABLE_MULE_SOAP_HEADERS`
`static String` | `FEATURES`
`static String` | `FRONTEND`
`static String` | `IN_FAULT_INTERCEPTORS`
`static String` | `IN_INTERCEPTORS`
`static String` | `INBOUND_OPERATION`
`static String` | `INBOUND_SERVICE`
`static String` | `JAX_WS_FRONTEND`
`static String` | `MTOM_ENABLED`
`static String` | `MULE_MESSAGE`
`static String` | `NAMESPACE`
`static String` | `OPERATION`
`static String` | `OUT_FAULT_INTERCEPTORS`
`static String` | `OUT_INTERCEPTORS`
`static String` | `PAYLOAD`
`static String` | `PAYLOAD_BODY`
`static String` | `PAYLOAD_ENVELOPE`
`static String` | `PROTOCOL_CONNECTOR`
`static String` | `PROXY`
`static String` | `SERVICE_CLASS`
`static String` | `SERVICE_INTERFACE`
`static String` | `SERVICE_NAME`
`static String` | `SIMPLE_FRONTEND`
`static String` | `WSDL_LOCATION`

Constructor Summary
`CxfConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_BINDING

    public static final String DATA_BINDING

See Also:
  Constant Field Values

### BINDING_ID

    public static final String BINDING_ID

See Also:
  Constant Field Values

### FRONTEND

    public static final String FRONTEND

See Also:
  Constant Field Values

### JAX_WS_FRONTEND

    public static final String JAX_WS_FRONTEND

See Also:
  Constant Field Values

### SIMPLE_FRONTEND

    public static final String SIMPLE_FRONTEND

See Also:
  Constant Field Values

### WSDL_LOCATION

    public static final String WSDL_LOCATION

See Also:
  Constant Field Values

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### CLIENT_CLASS

    public static final String CLIENT_CLASS

See Also:
  Constant Field Values

### SERVICE_INTERFACE

    public static final String SERVICE_INTERFACE

See Also:
  Constant Field Values

### CLIENT_PORT

    public static final String CLIENT_PORT

See Also:
  Constant Field Values

### OPERATION

    public static final String OPERATION

See Also:
  Constant Field Values

### PROXY

    public static final String PROXY

See Also:
  Constant Field Values

### SERVICE_CLASS

    public static final String SERVICE_CLASS

See Also:
  Constant Field Values

### FEATURES

    public static final String FEATURES

See Also:
  Constant Field Values

### IN_INTERCEPTORS

    public static final String IN_INTERCEPTORS

See Also:
  Constant Field Values

### IN_FAULT_INTERCEPTORS

    public static final String IN_FAULT_INTERCEPTORS

See Also:
  Constant Field Values

### OUT_INTERCEPTORS

    public static final String OUT_INTERCEPTORS

See Also:
  Constant Field Values

### OUT_FAULT_INTERCEPTORS

    public static final String OUT_FAULT_INTERCEPTORS

See Also:
  Constant Field Values

### MTOM_ENABLED

    public static final String MTOM_ENABLED

See Also:
  Constant Field Values

### MULE_MESSAGE

    public static final String MULE_MESSAGE

See Also:
  Constant Field Values

### APPLY_FILTERS_TO_PROTOCOL

    public static final String APPLY_FILTERS_TO_PROTOCOL

See Also:
  Constant Field Values

### APPLY_TRANSFORMERS_TO_PROTOCOL

    public static final String APPLY_TRANSFORMERS_TO_PROTOCOL

See Also:
  Constant Field Values

### APPLY_SECURITY_TO_PROTOCOL

    public static final String APPLY_SECURITY_TO_PROTOCOL

See Also:
  Constant Field Values

### PROTOCOL_CONNECTOR

    public static final String PROTOCOL_CONNECTOR

See Also:
  Constant Field Values

### ATTACHMENTS

    public static final String ATTACHMENTS

See Also:
  Constant Field Values

### INBOUND_SERVICE

    public static final String INBOUND_SERVICE

See Also:
  Constant Field Values

### INBOUND_OPERATION

    public static final String INBOUND_OPERATION

See Also:
  Constant Field Values

### ENABLE_MULE_SOAP_HEADERS

    public static final String ENABLE_MULE_SOAP_HEADERS

See Also:
  Constant Field Values

### PAYLOAD

    public static final String PAYLOAD

See Also:
  Constant Field Values

### PAYLOAD_BODY

    public static final String PAYLOAD_BODY

See Also:
  Constant Field Values

### PAYLOAD_ENVELOPE

    public static final String PAYLOAD_ENVELOPE

See Also:
  Constant Field Values

Constructor Detail

### CxfConstants

    public CxfConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.